<script type="text/javascript">
        
      var aktualny_tab = '#tabs-1';
      var hashes = window.location.href.slice(window.location.href.indexOf('#'));
      
      if(hashes!='s')
      {
          aktualny_tab = hashes;
      }

  function zmien_tab(par)
  {
      aktualny_tab = par;
       //alert(aktualny_tab);
  }  

</script>
<div class="content_title">Klienci</div>
<?php
	//zlaczenie tablic w celu otrzymania wszystkich lat w ktorych byly dane dal konkretnego klienta
	$lata = array_merge($faktury_seo,$faktury_sem,$faktury_sem_proforma);	

	if(!empty($lata))
	{
		$controler = $this->uri->segment(1);
		$function = $this->uri->segment(2);
		$param = $this->uri->segment(3);
		
		if(@$_POST['year']!=null)
		{
			$this->session->set_userdata('rok', $_POST['year']);
			$rok = $this->session->userdata['rok'];
		}
		else 
		{
			if (empty($this->session->userdata['rok']))
			{
				$this->session->set_userdata('rok', date("Y"));
				$rok = date("Y");
			}
			else
			{
				$rok = $this->session->userdata['rok'];	
			} 
		}
		
		$rok_array = array();	
		
		foreach($lata as $f)
		{		
			if(!in_array($f['year'],$rok_array)) $rok_array[]=$f['year'];
		}
		
		echo '<script type=\'text/javascript\'>document.write(\'<form action="/'.$controler.'/'.$function.'/'.$param.'\'+aktualny_tab+\'" method="post">\');</script>';
		echo '<table cellspacing="6">';
		echo '<tr><td><b>Zmień rok: </b>';									
		echo '<select name="year">';
			  foreach($rok_array as $r)
			  {
				  echo '<option value="'.$r.'"'; 
				  if ($r==$rok) echo 'selected="selected"'; 
				  echo '>'.$r.'</option>';	
			  } 	 
		echo '</select>';
		echo '</td><td>';										 
		echo '<input type="submit" value="wybierz" class="grey_button round_corners"/> (aktualnie ustawiony rok '.$rok.')';
		echo '</td></tr></table>';	 
		echo '</form><br />';
	}

	if(!empty($switch_client)) echo $switch_client;
?>	
	<script type="text/javascript">
		      $(function() {
		  		$("#tabs").tabs();
		
		  	});
		</script>

     <div id="tabs">
		<ul>
            <li><a href="#tabs-1" onclick="zmien_tab('#tabs-1')">Dane Klienta</a></li>
			<li><a href="#tabs-2" onclick="zmien_tab('#tabs-2')">Faktury VAT SEO</a></li>
			<li><a href="#tabs-3" onclick="zmien_tab('#tabs-3')">Faktury VAT SEM</a></li>
			<li><a href="#tabs-4" onclick="zmien_tab('#tabs-4')">Faktury Proforma SEM</a></li>
		</ul>
		<div id="tabs-1">
			<?php 
				if(!empty($client))
				{
					echo '<table id="tablesorter-demo" class="tablesorter" border="0" cellpadding="0" cellspacing="1">
							<tr><th colspan="2">Dane klienta</th></tr>
							<tr><td width="120">Login klienta</td><td>'.$client[0]['name'].'</td></tr>
							<tr><td>Nazwa firmy</td><td>'.$client[0]['company_name'].'</td></tr>
							<tr><td>Osoba kontaktowa</td><td>'.$client[0]['contact_name'].'</td></tr>
							<tr><td>E-mail</td><td>'.$client[0]['email'].'</td></tr>
							<tr><td>NIP</td><td>'.$client[0]['tax_id'].'</td></tr>
							<tr><td>Miasto</td><td>'.$client[0]['city'].'</td></tr>
							<tr><td>Kod pocztowy</td><td>'.$client[0]['post_code'].'</td></tr>
							<tr><td>Ulica</td><td>'.$client[0]['street'].'</td></tr>
							<tr><td>Numer budynku</td><td>'.$client[0]['a_no'].'</td></tr>
							<tr><td>Numer lokalu</td><td>'.$client[0]['b_no'].'</td></tr>
							<tr><th colspan="2"><b>Dane korespondencyjne</b></th></tr>
							<tr><td>Miasto</td><td>'.$client[0]['dk_miasto'].'</td></tr>
							<tr><td>Ulica</td><td>'.$client[0]['dk_ulica'].'</td></tr>
							<tr><td>Kod pocztowy</td><td>'.$client[0]['dk_kod_pocztowy'].'</td></tr>
							<tr><td>Numer budynku</td><td>'.$client[0]['dk_nr_domu'].'</td></tr>
							<tr><td>Numer lokalu</td><td>'.$client[0]['dk_nr_mieszkania'].'</td></tr>
							<tr><td>Telefon</td><td>'.$client[0]['dk_telefon'].'</td></tr>
						  </table>';
				}
				else
				{
					 echo '<p class="info_box">Wybierz klienta z listy rozwijanej aby zobaczyć jego dane</p>';
				}
			?>
		</div>
		<div id="tabs-2">
			<br />
			<?php 
			
				$months = array('styczeń','luty','marzec','kwiecień','maj','czerwiec','lipiec','sierpień','wrzesień','październik','listopad','grudzień');
				
				//print_r($faktury_seo);
				
				if(!empty($faktury_seo))
				{
					$i=0;	
					foreach($faktury_seo as $r)
					{
						if($r['year']==$rok)
						{
							echo '<div class="oplac_fakture"><a class="faktura_link_ks" href="/payments/faktura_ksiegowosc_seo_pdf/'.$r['id'].'" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;<b>FV '.$r['nr'].'/SEO/'.$r['month'].'/'.$r['year'].'</b> <strong>('. $r['netto']*1.23.' zł brutto)</strong><br/> ('.$r['netto'].' zł netto) ('.$r['data_wystawienia'].')</a>';
							
							if($r['zaplacono']==1 and $r['zatwierdzono']==1)
							{
								if(!empty($r['id_transakcji']))
                                    echo '<div class="blue">opłacona&nbsp; &nbsp;</div>';
                                else
                                    echo '<div class="green">opłacona&nbsp; &nbsp;</div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) >= date('Ymd')))
							{
								echo '<div class="orange">nie opłacona&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;"><form action="http://panel.networds.pl/ksiegowosc/clients/'.$this->uri->segment(3).'#tabs-2" onsubmit="return potwierdz()" method="post"><input type="hidden" name="seo_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" /></form></div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) < date('Ymd')))
							{
								echo '<div class="red">nie opłacona, po terminie&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;cursor:pointer;"><form action="http://panel.networds.pl/ksiegowosc/clients/'.$this->uri->segment(3).'#tabs-2"  onsubmit="return potwierdz()" method="post"><input type="hidden" name="seo_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" /></form></div>';
							}							
							echo '</div>';
							 
							$i++;
						}
					}
					if($i == 0) echo '<p class="info_box">Brak faktur seo za podany okres</p>';
				}
				else
				{
					echo '<p class="info_box">Brak faktur seo za podany okres</p>';
				}				
			?><br /><br />
		</div>
		<div id="tabs-3">
			<br />
			<?php 
			
				$months = array('styczeń','luty','marzec','kwiecień','maj','czerwiec','lipiec','sierpień','wrzesień','październik','listopad','grudzień');
				
				//print_r($faktury_sem);
				if(!empty($faktury_sem))
				{
					$i=0;	
					foreach($faktury_sem as $r)
					{
						if($r['year']==$rok)
						{
							echo '<div class="oplac_fakture"><a class="faktura_link_ks" href="/payments/faktura_pdf_ksiegowosc_sem/'.$r['id'].'/fv" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;<b>FV '.$r['nr'].'/SEM/'.$r['month'].'/'.$r['year'].'</b> ('.$r['netto'].' zł netto) ('.$r['data_wystawienia'].')</a>';
                            if(!empty($r['id_transakcji']))
                                 echo '<div class="blue">opłacona&nbsp; &nbsp;</div></div>';
                            else
                                 echo '<div class="green">opłacona&nbsp; &nbsp;</div></div>';
							$i++;
						}
					}
					if($i == 0) echo '<p class="info_box">Brak faktur sem za podany okres</p>';
				}
				else
				{
					echo '<p class="info_box">Brak faktur sem za podany okres</p>';
				}	
			?><br /><br />
		</div>
		<div id="tabs-4">
			<br />
			<?php 
			
				$months = array('styczeń','luty','marzec','kwiecień','maj','czerwiec','lipiec','sierpień','wrzesień','październik','listopad','grudzień');
				
				//print_r($faktury_sem_proforma);
				if(!empty($faktury_sem_proforma))
				{
					$i=0;
					foreach($faktury_sem_proforma as $r)
					{
						if($r['year']==$rok)
						{
							//echo '<div class="oplac_fakture"><a href="/payments/faktura_pdf_sem/'.$r['nr'].'/'.$r['month'].'/'.$r['year'].'/pf" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;Zobacz Fakture Proforma nr FP '.$r['nr'].'/SEM/'.$r['month'].'/'.$r['year'].'  za doładowanie konta SEM '.$months[$r['month']-1].' '.$rok.'</a></div>';						
							echo '<div class="oplac_fakture"><a class="faktura_link_ks" href="/payments/faktura_pdf_ksiegowosc_sem/'.$r['id'].'/pf" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;<b>FP '.$r['nr'].'/SEM/'.$r['month'].'/'.$r['year'].'</b> ('.$r['netto'].' zł netto) ('.$r['data_wystawienia'].')</a>';
							
							if($r['zaplacono']==1 and $r['zatwierdzono']==1)
							{
								echo '<div class="green">opłacona&nbsp; &nbsp;</div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) >= date('Ymd')))
							{
								echo '<div class="orange">nie opłacona&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;cursor:pointer;"><form action="http://panel.networds.pl/ksiegowosc/clients/'.$this->uri->segment(3).'#tabs-4"  onsubmit="return potwierdz_sem_pf(this)" method="post">Data przelewu pieniędzy <input type="text" name="data" id="datepicker'.$i.'" name="data_platnosci" /><input type="hidden" name="sem_pro_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" /></form></div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) < date('Ymd')))
							{
								echo '<div class="red">nie opłacona, po terminie&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;cursor:pointer;"><form action="http://panel.networds.pl/ksiegowosc/clients/'.$this->uri->segment(3).'#tabs-4"  onsubmit="return potwierdz_sem_pf(this)" method="post">Data przelewu pieniędzy <input type="text" name="data" id="datepicker'.$i.'" name="data_platnosci" /><input type="hidden" name="sem_pro_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" /></form></div>';
							}							
							echo '</div>';
							
							
							
							$i++;
						}
					}
					//js podlaczajacy kalendarz pod inputy					
					echo '<script type="text/javascript">
							$(function() {';
							for($j=0;$j<$i;$j++){	
								echo '$("#datepicker'.$j.'").datepicker($.datepicker.regional[\'pl\']);';}								
					echo 		'});</script>';
					if($i == 0) echo '<p class="info_box">Brak faktur proforma sem za podany okres</p>';					
				}
				else
				{
					echo '<p class="info_box">Brak faktur proforma sem za podany okres</p>';
				}	
			?><br /><br />	
		</div>
	</div>	
	<script type="text/javascript">		
	
	  	function potwierdz(){	
			var answer = confirm("Czy napewno potwierdzić płatność faktury? Operacji nie będzie można cofnąć");
			if (answer){
				return true;
			}
			else{
				return false;
			}																	
		}

	  	function potwierdz_sem_pf(form)
	  	{
		  	var wartos_daty = form.data.value;	
			var return_ajaxa = false;
		  	
		  	if(wartos_daty!='')
		  	{  								
		  		$.ajax({
		  		  url: '/ksiegowosc/check_data_proforma/'+wartos_daty,
		  		  async: false,
		  		  success: function(data) {

		  		    if(data!='ok')
		  		    {
			  		    alert('Błędna data, najwcześniejsza data jaką możesz użyć w tym miesiącu to '+data);			  		  			  		    
			  		}
		  		    else
		  		    {
		  		    	var answer = confirm("Czy napewno potwierdzić płatność faktury sem proforma? Operacji nie będzie można cofnąć");

						if (answer)
						{
							return_ajaxa = true;							
						}
				  	}        
		  		  }
		  		});				
		  	}
		  	else
		  	{
			  	alert('Pole daty przelewu jest wymagane i podana w nim data musi być datą przelewu pieniędzy za FP');			  	
			}
			
			return return_ajaxa;  																		
		}
	</script>